Summary: A set of Bangla fonts under GPL
Name: fonts-ttf-bengali
# version number is defined at https://bengalinux.org/downloads/
Version: 0.5
Release: %mkrel 17
License: GPL
Group: System/Fonts/True type
Source0: https://savannah.nongnu.org/download/freebangfont/Akaash-0.8.5.tar.bz2
Source1: https://savannah.nongnu.org/download/freebangfont/Ani.tar.bz2
Source2: https://savannah.nongnu.org/download/freebangfont/Likhan-0.5.tar.bz2
Source3: https://savannah.nongnu.org/download/freebangfont/MuktiNarrow-0.94.tar.bz2
URL: https://bengalinux.org/
BuildArch:	noarch
BuildRequires:	ttmkfdir

Provides: fonts-tt-Akaash
Provides: fonts-tt-Ani
Provides: fonts-tt-Likhan
Provides: fonts-tt-MuktiNarrow

%description
This package contains a set of Bangla (Bengali) OpenType fonts based on
Unicode encoding scheme. The fonts are provided by Free Bangla Font project,
a sub project of Ankur group (http://www.bengalinux.org).

Install freebanglafont if you'd like to use Bangla or want to see Bangla
interface for GNOME, KDE, etc.

%prep
%setup -c -a 0 -a 1 -a 2 -a 3 -q

%build

%install
install -d %buildroot/%_datadir/fonts/TTF/bengali

for i in `find . -name "*.ttf"` ; do
install -m 644 $i %buildroot/%_datadir/fonts/TTF/bengali
done
for i in `find . -name "*.TTF"` ; do
  install -m 644 $i \
	 %buildroot/%_datadir/fonts/TTF/bengali/`basename $i .TTF`.ttf
done

mkdir -p %buildroot/%_docdir/%{name}-%{version}/Akaash/
install -m 644 Akaash/{BUGS,README,MAILINGLISTS,VERSION,CHANGELOG,CREDITS} \
	%buildroot/%_docdir/%{name}-%{version}/Akaash/
mkdir -p %buildroot/%_docdir/%{name}-%{version}/Ani/
install -m 644 Ani/{AUTHORS,BUGS,MAILINGLISTS,README,VERSION} \
	%buildroot/%_docdir/%{name}-%{version}/Ani/
mkdir -p %buildroot/%_docdir/%{name}-%{version}/Likhan/
install -m 644 Likhan-0.5/README \
	%buildroot/%_docdir/%{name}-%{version}/Likhan/
mkdir -p %buildroot/%_docdir/%{name}-%{version}/MuktiNarrow/
install -m 644 MuktiNarrow0.94/readme.txt \
	%buildroot/%_docdir/%{name}-%{version}/MuktiNarrow/
install -m 644 Ani/COPYING %buildroot/%_docdir/%{name}-%{version}/

%post
touch %{_datadir}/fonts/TTF

%files
%defattr(0644,root,root,0755)
%doc %_docdir/%{name}-%{version}/*
%dir %_datadir/fonts/TTF/
%dir %_datadir/fonts/TTF/bengali
%_datadir/fonts/TTF/bengali/*.ttf







%changelog
* Thu Jun 26 2025 umeabot <umeabot> 0.5-17.mga10
+ Revision: 2196883
- Mageia 10 Mass Rebuild

* Sat Mar 19 2022 umeabot <umeabot> 0.5-16.mga9
+ Revision: 1801143
- Mageia 9 Mass Rebuild
+ danf <danf>
- Switch URLs from http: to https:

* Tue Feb 11 2020 umeabot <umeabot> 0.5-15.mga8
+ Revision: 1490437
- Mageia 8 Mass Rebuild

* Tue Sep 18 2018 umeabot <umeabot> 0.5-14.mga7
+ Revision: 1262091
- Mageia 7 Mass Rebuild

* Mon Feb 08 2016 umeabot <umeabot> 0.5-13.mga6
+ Revision: 942487
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.5-12.mga5
+ Revision: 749571
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.5-11.mga5
+ Revision: 679264
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.5-10.mga4
+ Revision: 504560
- Mageia 4 Mass Rebuild

* Fri Jan 11 2013 umeabot <umeabot> 0.5-9.mga3
+ Revision: 350668
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Feb 09 2011 pterjan <pterjan> 0.5-8.mga1
+ Revision: 49577
- Fix buildrequires, freetype-tools is dead
+ ennael <ennael>
- imported package fonts-ttf-bengali


* Thu Dec 02 2010 Oden Eriksson <oeriksson@mandriva.com> 0.5-8mdv2011.0
+ Revision: 605190
- rebuild

* Wed Jan 20 2010 Paulo Ricardo Zanoni <pzanoni@mandriva.com> 0.5-7mdv2010.1
+ Revision: 494131
- fc-cache is now called by an rpm filetrigger

* Sat Mar 07 2009 Antoine Ginies <aginies@mandriva.com> 0.5-6mdv2009.1
+ Revision: 351042
- rebuild

* Tue Jun 17 2008 Thierry Vignaud <tv@mandriva.org> 0.5-5mdv2009.0
+ Revision: 220859
- rebuild

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Mon Dec 17 2007 Thierry Vignaud <tv@mandriva.org> 0.5-4mdv2008.1
+ Revision: 125107
- kill re-definition of %%buildroot on Pixel's request


* Fri Aug 04 2006 Helio Chissini de Castro <helio@mandriva.com>
+ 2006-08-04 23:10:44 (52885)
- Normalize fonts with new paths

* Fri Aug 04 2006 Helio Chissini de Castro <helio@mandriva.com>
+ 2006-08-04 20:59:01 (52792)
- import fonts-ttf-bengali-0.5-3mdk

* Tue Feb 07 2006 Frederic Crozat <fcrozat@mandriva.com> 0.5-3mdk
- Don't package fontconfig cache file
- Fix prereq
- touch parent directory to workaround rpm changing directory last modification
  time (breaking fontconfig cache consistency detection)

* Tue Aug 10 2004 Pablo Saratxaga <pablo@mandrakesoft.com> 0.5-2mdk
- corrected License: tag

* Tue Aug 10 2004 Pablo Saratxaga <pablo@mandrakesoft.com> 0.5-1mdk
- updated to Akaash 0.8.5, Ani 0.7.0, Likhan 0.5, MuktiNarrow 0.94

